<?php

/* DCMS Special
 * Дата последнего редактирования 29.12.2015
 * Модифицировал densnet
 */

function page($k_page = 1) {
    $page = 1;
    $page = check($page);
    $k_page = check($k_page);
    if (isset($_GET['page'])) {
        if ($_GET['page'] == 'end') {
            $page = check(intval($k_page));
        } elseif (is_numeric($_GET['page'])) {
            $page = check(intval($_GET['page']));
        }
    }
    if ($page < 1) {
        $page = 1;
    }
    if ($page > $k_page) {
        $page = $k_page;
    }
    return $page;
}

// Определяем кол-во страниц
function k_page($k_post = 0, $k_p_str = 10) {
    if ($k_post != 0) {
        $v_pages = ceil($k_post / $k_p_str);
        return $v_pages;
    } else {
        return 1;
    }
}

function str($link = '?', $k_page = 1, $page = 1) { // Вывод номеров страниц (только на первый взгляд кажется сложно ;))
    if ($page < 1) {
        $page = 1;
    }
    echo "<center>";
    echo "<ul class='pagination'>\n";
    if ($page != 1) {
        echo "<li class='page-item'><a class='page-link' href=\"" . $link . "page=1\" title='Первая страница'>&laquo;</a></li>";
    }

    if ($page != 1) {
        echo "<li class='page-item'><a class='page-link' href=\"" . $link . "page=1\" title='Страница №1'>1</a></li>";
    } else {
        echo "<li class='page-item active'><a class='page-link'>1</a></li>";
    }

    for ($ot = -2; $ot <= 2; $ot++) {
        if ($page + $ot > 1 && $page + $ot < $k_page) {
            if ($ot == -2 && $page + $ot > 2) {
                echo "";
            }
            if ($ot != 0) {
                echo "<li class='page-item'><a class='page-link' href=\"" . $link . "page=" . ($page + $ot) . "\" title='Страница №" . ($page + $ot) . "'>" . ($page + $ot) . "</a></li>";
            } else {
                echo "<li class='page-item active'><a class='page-link'>" . ($page + $ot) . "</a></li>";
            }
            if ($ot == 2 && $page + $ot < $k_page - 1) {
                echo "";
            }
        }
    }
    if ($page != $k_page) {
        echo "<li class='page-item'><a class='page-link' href=\"" . $link . "page=end\" title='Страница №$k_page'>$k_page</a></li>";
    } elseif ($k_page > 1) {
        echo "<li class='page-item active'><a class='page-link'>$k_page</a></li>";
    }
    if ($page != $k_page) {
        echo "<li class='page-item'><a class='page-link' href=\"" . $link . "page=end\" title='Последняя страница'>&raquo;</a></li>";
    }

    echo "</ul>";
    echo "</center>";
}
